apiVersion: machine.openshift.io/v1beta1
kind: Machine
metadata:
  generateName: winworker-
  annotations:
    machine.openshift.io/instance-state: running
  resourceVersion: '96738'
  name: winworker-lbtnp
  uid: 56c84d8a-6a33-4111-b143-dce6aea53300
  creationTimestamp: '2024-07-01T18:38:44Z'
  generation: 2
  managedFields:
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:machine.openshift.io/cluster-api-cluster': {}
            'f:machine.openshift.io/cluster-api-machine-role': {}
            'f:machine.openshift.io/cluster-api-machine-type': {}
            'f:machine.openshift.io/cluster-api-machineset': {}
            'f:machine.openshift.io/os-id': {}
            'f:windowsmachineconfig.openshift.io/ignore': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"203c1476-30b2-438d-8659-e520e669c394"}': {}
        'f:spec':
          .: {}
          'f:lifecycleHooks': {}
          'f:metadata':
            .: {}
            'f:labels':
              .: {}
              'f:node-role.kubernetes.io/worker': {}
          'f:providerSpec':
            .: {}
            'f:value':
              'f:instanceType': {}
              'f:metadata':
                .: {}
                'f:creationTimestamp': {}
              'f:blockDevices': {}
              'f:kind': {}
              'f:securityGroups': {}
              'f:deviceIndex': {}
              'f:ami':
                .: {}
                'f:id': {}
              'f:metadataServiceOptions': {}
              'f:tags': {}
              .: {}
              'f:placement':
                .: {}
                'f:availabilityZone': {}
                'f:region': {}
              'f:subnet':
                .: {}
                'f:filters': {}
              'f:apiVersion': {}
              'f:iamInstanceProfile':
                .: {}
                'f:id': {}
              'f:credentialsSecret':
                .: {}
                'f:name': {}
              'f:userDataSecret':
                .: {}
                'f:name': {}
      manager: machineset-controller
      operation: Update
      time: '2024-07-01T18:38:44Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:machine.openshift.io/instance-state': {}
          'f:finalizers':
            .: {}
            'v:"machine.machine.openshift.io"': {}
          'f:labels':
            'f:machine.openshift.io/instance-type': {}
            'f:machine.openshift.io/region': {}
            'f:machine.openshift.io/zone': {}
        'f:spec':
          'f:providerID': {}
      manager: machine-controller-manager
      operation: Update
      time: '2024-07-01T18:39:16Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:addresses': {}
          'f:conditions':
            .: {}
            'k:{"type":"Drainable"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"InstanceExists"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Terminable"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:phase': {}
          'f:providerStatus':
            .: {}
            'f:conditions': {}
            'f:instanceId': {}
            'f:instanceState': {}
      manager: machine-controller-manager
      operation: Update
      subresource: status
      time: '2024-07-01T18:45:19Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:lastUpdated': {}
          'f:nodeRef': {}
      manager: nodelink-controller
      operation: Update
      subresource: status
      time: '2024-07-01T18:45:48Z'
  namespace: openshift-machine-api
  ownerReferences:
    - apiVersion: machine.openshift.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: MachineSet
      name: winworker
      uid: 203c1476-30b2-438d-8659-e520e669c394
  finalizers:
    - machine.machine.openshift.io
  labels:
    machine.openshift.io/region: us-east-1
    machine.openshift.io/instance-type: m5a.large
    machine.openshift.io/cluster-api-cluster: jvaldes-clus-20240701-cmz5j
    machine.openshift.io/cluster-api-machineset: winworker
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
    machine.openshift.io/os-id: Windows
    machine.openshift.io/zone: us-east-1a
    windowsmachineconfig.openshift.io/ignore: 'false'
spec:
  lifecycleHooks: {}
  metadata:
    labels:
      node-role.kubernetes.io/worker: ''
  providerID: 'aws:///us-east-1a/i-07f6d16eae72558dd'
  providerSpec:
    value:
      userDataSecret:
        name: windows-user-data
      placement:
        availabilityZone: us-east-1a
        region: us-east-1
      credentialsSecret:
        name: aws-cloud-credentials
      instanceType: m5a.large
      metadata:
        creationTimestamp: null
      blockDevices:
        - ebs:
            iops: 0
            kmsKey: {}
            volumeSize: 120
            volumeType: gp2
      securityGroups:
        - filters:
            - name: 'tag:Name'
              values:
                - jvaldes-clus-20240701-cmz5j-node
      kind: AWSMachineProviderConfig
      metadataServiceOptions: {}
      tags:
        - name: kubernetes.io/cluster/jvaldes-clus-20240701-cmz5j
          value: owned
      deviceIndex: 0
      ami:
        id: ami-0f811217032cd31f7
      subnet:
        filters:
          - name: 'tag:Name'
            values:
              - jvaldes-clus-20240701-cmz5j-subnet-private-us-east-1a
      apiVersion: awsproviderconfig.openshift.io/v1beta1
      iamInstanceProfile:
        id: jvaldes-clus-20240701-cmz5j-worker-profile
status:
  addresses:
    - address: 10.0.10.231
      type: InternalIP
    - address: ip-10-0-10-231.ec2.internal
      type: InternalDNS
    - address: ip-10-0-10-231.ec2.internal
      type: Hostname
  conditions:
    - lastTransitionTime: '2024-07-01T18:38:44Z'
      status: 'True'
      type: Drainable
    - lastTransitionTime: '2024-07-01T18:39:17Z'
      status: 'True'
      type: InstanceExists
    - lastTransitionTime: '2024-07-01T18:38:44Z'
      status: 'True'
      type: Terminable
  lastUpdated: '2024-07-01T18:45:48Z'
  nodeRef:
    kind: Node
    name: ip-10-0-10-231.ec2.internal
    uid: ce6de3dc-2728-40db-b96d-a0fd43a04c4c
  phase: Running
  providerStatus:
    conditions:
      - lastTransitionTime: '2024-07-01T18:38:46Z'
        message: Machine successfully created
        reason: MachineCreationSucceeded
        status: 'True'
        type: MachineCreation
    instanceId: i-07f6d16eae72558dd
    instanceState: running
